View Issue Details

IDProjectCategoryView StatusLast Update
0014434LazarusIDEpublic2009-08-28 22:03
ReporterEddy Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version0.9.28Fixed in Version0.9.29 (SVN) 
Summary0014434: FileOpen standard action doesn't accept Dialog property changes
DescriptionAdd the standard action FileOpen to an action list.
Modify for example the filter or Initialdir and then build and run the application from within the IDE (files are automatically saved).
After ending the application and returning to the IDE, the properties are cleared (the entered values have disappeared).
Tested with Windows Vista.

A workaround is to set these properties at runtime (e.g. when in OnFormCreate).
TagsNo tags attached.
Fixed in Revision21447
LazTarget0.9.28
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2009-08-25 19:02

manager   ~0030143

Please test and close if ok.

Eddy

2009-08-28 22:02

reporter   ~0030221

Tested with Lazarus-0.9.29-21469-fpc-2.2.4-20090828-win32.
Properties are now stored correctly.

Eddy

2009-08-28 22:03

reporter   ~0030222

See above.

Issue History

Date Modified Username Field Change
2009-08-25 18:34 Eddy New Issue
2009-08-25 18:34 Eddy Widgetset => Win32/Win64
2009-08-25 19:02 Paul Ishenin Fixed in Revision => 21447
2009-08-25 19:02 Paul Ishenin LazTarget => 0.9.30
2009-08-25 19:02 Paul Ishenin Status new => resolved
2009-08-25 19:02 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-08-25 19:02 Paul Ishenin Resolution open => fixed
2009-08-25 19:02 Paul Ishenin Assigned To => Paul Ishenin
2009-08-25 19:02 Paul Ishenin Note Added: 0030143
2009-08-25 19:02 Paul Ishenin Target Version => 0.9.30
2009-08-27 17:58 Paul Ishenin LazTarget 0.9.30 => 0.9.28
2009-08-27 17:58 Paul Ishenin Target Version 0.9.30 => 0.9.28
2009-08-28 22:02 Eddy Note Added: 0030221
2009-08-28 22:03 Eddy Status resolved => closed
2009-08-28 22:03 Eddy Note Added: 0030222